Package pyplusplus :: Package module_creator

# Package module_creator

source code

Submodules

- pyplusplus.module_creator.call_policies_resolver
- pyplusplus.module_creator.creator
- pyplusplus.module_creator.creators_wizard: this module defines few function that will guess what creator(s) should be created for exposing a declaration
- pyplusplus.module_creator.dependencies_manager: defines class, which informs user about used, but unexposed declarations
- pyplusplus.module_creator.fake_constructors_manager: defines class, which manages "fake constructors"
- pyplusplus.module_creator.opaque_types_manager
- pyplusplus.module_creator.sort_algorithms
- pyplusplus.module_creator.types_database

Functions

create(decls, module_name) | source code